# -*- coding: utf-8 -*-
from setuphelpers import *

def install():
    bin_name = glob.glob("Nelson-*-x86-32.exe")[0]
    install_exe_if_needed(bin_name, silentflags="/allusers /VERYSILENT",
    key = "{2ED97A2C-CAA6-467F-82D9-02FC564A8950}_is1",
    min_version=control.get_software_version())

    #Creating menu shortcut
    version = control.get_software_version()
    dir_name = fr"Nelson-{version} (32 bits)"
    create_programs_menu_shortcut('Nelson', target = makepath(programfiles,dir_name,"bin","win32","NelSon-gui.exe"))


def uninstall() :
    remove_programs_menu_shortcut('Nelson')